def clean_user:
  .RegistryMembershipNonUser |
  { id, name: .alias.display_name };

.Response[0].Registry |
{
  title,
  created_at: .created,
  updated_at: .updated,
  tricount_id: .public_identifier_token,
  id,
  members: [ .memberships.[] | clean_user ],
  bills: [
    .all_registry_entry.[].RegistryEntry |
    {
      id,
      amount: .amount.value | tonumber,
      created_by: .membership_created | clean_user,
      payed_by: .membership_owned | clean_user,
      created_at: .created,
      updated_at: .updated,
      payed_at: .date,
      descr: .description,
      alloc: [
        .allocations.[] |
        {
          ower: .membership | clean_user,
          weight: .share_ratio,
          amount: .amount.value | tonumber,
        }
      ],
      kind: .type_transaction,
    }
  ]
}
